module chatserver;

import tango.net.Socket;
import tango.core.Thread;
import tango.io.Stdout;
import tango.util.log.Log;
import dreactor.core.Vat; 
import dreactor.core.Dispatcher;

import dreactor.protocol.RawTcp;
import dreactor.transport.AsyncSocketConduit;

int count;
int main()
{ 
    Vat l_vat = new Vat();
    Logger log = Log.lookup("dreactor.chatserver");
    Log.root.level(log.Level.Info, true); 
    RawTCPListener listener = new RawTCPListener(l_vat, new IPv4Address(5555));
    listener.setDataHandler( (char[] inbuf, Dispatcher d) {
    
        listener.broadcast(inbuf, [d]);

    });
    l_vat.run();

    return 0;
}

